# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the details of a Kinexys Digital Payments request In this tutorial, you'll learn how to use the Global Payments API to retrieve Kinexys Digital Payments details. By the end of this tutorial, you'll know how to: Use the `endToEndId` or `firmRootId` to retrieve the transaction details of your payment request. ## Before you begin To retrieve details of a Kinexys Digital Payments request, you'll need: - A [registered and fully onboarded developer account](/docs/quick-start) on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials used to make a request. - A J.P. Morgan Blockchain Deposit Accounts (BDA) opened at J.P. Morgan Chase Bank, N.A and/or J.P. Morgan SE, Frankfurt. - A Demand Deposit Account (DDA) must be opened in an approved funding location where you intend to perform a Kinexys Digital Payments transaction. > In addition to regular Demand Deposit Accounts (DDA), select Client Money Accounts (CMA) and Mortgage Servicing Accounts (MSA) are supported by this product, subject to J.P. Morgan review. > ## Get Kinexys Digital Payments details Request payloads for the Global Payments API include both optional and [required fields](/docs/treasury/global-payments/capabilities/global-payments/jpm-coin-system/payment-parameters). To retrieve Kinexys Digital Payments details, use one of the following options: - firmRootId - endToEndId ### Kinexys Digital Payments firmRootId details request To obtain the details of a payment, send a `GET HTTP` request to the applicable URL using the `firmRootId`. The following is an example of a `GET HTTP` request using the `firmRootId` to retrieve payment details: ```curl curl --request GET \ --url https://api-mock.payments.jpmorgan.com/tsapi/v1/payments?firmRootId=98275a2d-1e88-beed-6938-0521a7e0oinc ' \ --header 'Accept: application/json' ``` ### Confirm firmRootId response You'll receive a successful response containing the details for your payment request. ```json { "payments": { "paymentIdentifiers": { "endToEndId": "202E092v021D35E4" }, "requestedExecutionDate": "2033-06-10", "paymentCurrency": "USD", "paymentAmount": 6500, "transferType": "CREDIT", "paymentType": "BLOCKCHAIN", "debtor": { "debtorAccount": { "accountId": "8830699900", "accountType": "DDA" } }, "debtorAgent": { "financialInstitutionId": { "bic": "CHASSGSG" } }, "creditorAgent": { "financialInstitutionId": { "bic": "CHASUS33" } }, "creditor": { "creditorAccount": { "accountId": "0070103277", "accountType": "BDA" } }, "remittanceInformation": { "unstructuredInformation": [ "Payment for container shipment" ] } } } ``` ### Kinexys Digital Payments endToEndId details request To obtain the details of a payment, send a `GET HTTP` request to the applicable URL using the `endToEndId`. The following is an example of a CAT `GET HTTP` request using the `endToEndId` to retrieve payment details: ```curl curl --request GET \ --url https://api-mock.payments.jpmorgan.com/tsapi/v1/payments?endToEndId=202E092v021D35E4' \ --header 'Accept: application/json' ``` ### Confirm endToEndId response You'll receive a successful response containing the details for your payment request. ```json { "paymentStatus": { "createDateTime": "2023-06-10T00:00:01.000", "status": "PENDING" }, "payments": { "paymentIdentifiers": { "endToEndId": "202E092v021D35E4" }, "requestedExecutionDate": "2023-06-10", "paymentCurrency": "USD", "paymentAmount": 6500, "transferType": "CREDIT", "paymentType": "BLOCKCHAIN", "debtor": { "debtorAccount": { "accountId": "8830699900", "accountType": "DDA" } }, "debtorAgent": { "financialInstitutionId": { "bic": "CHASSGSG" } }, "creditorAgent": { "financialInstitutionId": { "bic": "CHASUS33" } }, "creditor": { "creditorName": "Jane Doe", "creditorAccount": { "accountId": "0070103277", "accountType": "BDA" } }, "remittanceInformation": { "unstructuredInformation": [ "Payment for container shipment" ] } }, "firmRootId": "98275a2d-1e88-beed-6938-0521a7e0oinc" } ``` ## Related [Connect to the Global Payments API](/docs/quick-start#add-an-api-to-your-project). ## Next steps Review our [Resources](/docs/treasury/global-payments/capabilities/global-payments/jpm-coin-system/resources) page.